Subject: Re: dcache BUG()

From: Dan Malek <[email-masked]>
Date: Wed, 09 May 2001 14:31:17 -0400

Brian Kuschak wrote:

> ... that's how I noticed the one-bit difference between bne and bne-.

That's the branch target hint due to the use of the '-' in the instruction.

> .... that lwarx r11,0,r31 shows up as lwarx r11,r0,r31.

That's because it really is a register field, with r0 handled as
a special case.

I've dumped out lots of your kernel image around atomic ops, and I
haven't seen anything wrong with the generated code.  That would be
too easy :-).

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/